Loading...
Searching...
No Matches
PgsqlSqlUtil::PgsqlSavepointHelper Class Reference

PostgreSQL savepoint helper. More...

Inherits AbstractSavepointHelper.

## Public Member Functions

| constructor (AbstractDatasource ds, *string savepoint)
| Creates the object.

## Protected Member Functions

| createSavepointImpl ()
| Creates the savepoint.
| deleteSavepointImpl ()
| Deletes the savepoint.
| rollbackImpl ()
| Rolls back to the savepoint.

## Detailed Description

PostgreSQL savepoint helper.